Getting started with Coinfer
Create API Token
First, let’s create a token in the Coinfer website:- Open this URL with you browser:
https://coinfer/bayes/. - Sign in.
- Click the “key” icon near the bottom left corner.
- Create a token.
Create Workflow
Click the “plus” icon to open the create Workflow page.Import an example Workflow
If this is your first time to use Coinfer, you may want to import an example Workflow to get an impression of what a Workflow looks like and what it contains. Click the “import an example” link at the top of the page. A menu will be displayed showing the names of the examples. Choose one from it.Create workflow manually
To create a workflow manually, follow these steps:- Click “Attach model” and either import an extenal model from GitHub or create a new model by opening the model editor.
- Click “Attach data” if your model requires some data to run.
- Click “Run” to run your model, an Experiment will be generated in which you can visualize your MCMC data.
- In case you want to use a script to analyze your MCMC data, you can click “Attach Analyzer” to add an analyzer to the workflow. Then you can run the analyzer and view its output.
Run workflow
After you created a Workflow, you can run it in Coinfer by clicking the “Run” button in Workflow->Experiment box. You can also download the workflow to your computer and run it locally. Click the “Down arrow” button at the top of workflow page. All the code and data of the workflow will be downloaded as a zip package.- Extract the zip package in to a directory. As an example I’ll name it
myworkflow. - Change you working directory to
myworkflow/workflow:cd myworkflow/workflow - Install
uvif you haven’t installed it:curl -LsSf https://astral.sh/uv/install.sh | env UV_INSTALL_DIR="/usr/bin" sh - Install Python if you haven’t installed it:
uv python install 3.11 - Install Julia if you haven’t installed it:
curl -fsSL https://install.julialang.org | sh - Install Python dependencies and activate the the virtual environment:
uv sync && source .venv/bin/activate - Set your token:
inv login --token <your token> - Run sample:
inv sample - Run analyzer:
inv analyze